FPCLASSIFY(3)

NAME
fpclassify, isfinite, isinf, isnan, isnormal, signbit - classify floating point numbers

SYNOPSIS
#include <math.h>
int fpclassify(double x):
int isfinite(double x);
int isinf(double x);
int isnan(double x);
int isnormal(double x);
int signbit(double x);

DESCRIPTION
These functions provide information about the specified floating point number x. fpclassify returns one of the values FP_INFINITE, FP_NAN, FP_NORMAL, FP_SUBNORMAL and FP_ZERO depending on the type of number provided. The isinf, isinf, isnan and isnormal test for specific number classes, returning a non-zero value is and only if the specified number belongs to the class specified by the function name. The signbit function returns a non-zero value if and only if the sign bit is set, which for non-NaN values (including zero) means that the number is negative.